> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a pipeline

> Get one pipeline by its id, including its stages (`lanes`) and column configuration. A pipeline
holds records of exactly one type: companies or contacts (`recordType`).



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /pipelines/{pipelineId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /pipelines/{pipelineId}:
    get:
      tags:
        - Pipelines
      summary: Get a pipeline
      description: >-
        Get one pipeline by its id, including its stages (`lanes`) and column
        configuration. A pipeline

        holds records of exactly one type: companies or contacts (`recordType`).
      operationId: GetPipeline
      parameters:
        - in: path
          name: pipelineId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - properties:
                      updatedAt:
                        $ref: '#/components/schemas/NativeDate'
                      createdAt:
                        $ref: '#/components/schemas/NativeDate'
                    required:
                      - updatedAt
                      - createdAt
                    type: object
                  - properties:
                      sortBy: {}
                      color:
                        type: string
                      icon:
                        type: string
                      organisation:
                        properties:
                          isValid:
                            properties: {}
                            type: object
                          createFromHexString:
                            properties: {}
                            type: object
                          createFromTime:
                            properties: {}
                            type: object
                          generate:
                            properties: {}
                            type: object
                          cacheHexString: {}
                        type: object
                      name:
                        type: string
                      columns:
                        items: {}
                        type: array
                      recordType:
                        type: string
                        enum:
                          - COMPANY
                          - CONTACT
                      lanes:
                        items: {}
                        type: array
                      viewType:
                        type: string
                        enum:
                          - board
                          - table
                      isPublic:
                        type: boolean
                      project:
                        properties:
                          isValid:
                            properties: {}
                            type: object
                          createFromHexString:
                            properties: {}
                            type: object
                          createFromTime:
                            properties: {}
                            type: object
                          generate:
                            properties: {}
                            type: object
                          cacheHexString: {}
                        type: object
                      users:
                        items:
                          $ref: '#/components/schemas/ObjectId'
                        type: array
                    required:
                      - columns
                      - recordType
                      - lanes
                      - viewType
                      - isPublic
                      - project
                      - users
                    type: object
                  - $ref: '#/components/schemas/Document_any.any.any_'
                  - properties:
                      _id:
                        $ref: '#/components/schemas/ObjectId'
                    required:
                      - _id
                    type: object
      security:
        - jwt: []
components:
  schemas:
    NativeDate:
      type: string
    ObjectId:
      type: string
    Document_any.any.any_:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    FlattenMaps_T_:
      properties: {}
      type: object
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````